## Apache Zeta Components Manual :: Docs For Class ezcSearchRstXmlExtractor

### Search::ezcSearchRstXmlExtractor

### Class ezcSearchRstXmlExtractor

This class extracts title and body from a parsed RST file in XML format.

Source for this file: /Search/src/extractors/rstxml.php

Version: | //autogentag//

### Method Summary

public static array(ezcSearchDocument) | `extract( $fileName , $type , $url , [ $imagePath = null] , [ $imageUrlPath = null] )` Extracts information from the file $fileName associated with the url $url.

### Methods

#### extract

static array(ezcSearchDocument) extract( string $fileName , string $type , string $url , [string $imagePath = null] , [string $imageUrlPath = null] )

Extracts information from the file $fileName associated with the url $url.

The document type for this document is given in $type, and the images on disk should be in the directory named $imagePath. The urls where the images link to should be in $imageUrlPath.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$fileName` | string |
`$type` | string |
`$url` | string |
`$imagePath` | string |
`$imageUrlPath` | string |

Documentation generated by phpDocumentor 1.4.3